package com.ruoyi.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("t_task_move")
public class TTaskMove {
    @TableId("task_id")
    private String taskId;
    @TableField("task_type")
    private Integer taskType;
    @TableField("task_status")
    private Integer taskStatus;
    @TableField("vehicle_id")
    private String vehicleId;
    @TableField("is_cross_tunnel")
    private Integer isCrossTunnel;
    @TableField("origin")
    private String origin;
    @TableField("destination")
    private String destination;
    @TableField("plc_id")
    private String plcId;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public Integer getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(Integer taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getVehicleId() {
        return vehicleId;
    }

    public void setVehicleId(String vehicleId) {
        this.vehicleId = vehicleId;
    }

    public Integer getIsCrossTunnel() {
        return isCrossTunnel;
    }

    public void setIsCrossTunnel(Integer isCrossTunnel) {
        this.isCrossTunnel = isCrossTunnel;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public String getPlcId() {
        return plcId;
    }

    public void setPlcId(String plcId) {
        this.plcId = plcId;
    }
}
